osmium::io::OutputIterator< TDest > Class Template Reference

`#include <output_iterator.hpp>`

Inheritance diagram for osmium::io::OutputIterator< TDest >:
[legend]
Collaboration diagram for osmium::io::OutputIterator< TDest >:
[legend]

## Public Member Functions

| OutputIterator (TDest &destination)
OSMIUM_DEPRECATED | OutputIterator (TDest &destination, const size_t buffer_size)
| OutputIterator (const OutputIterator &)=default
| OutputIterator (OutputIterator &&)=default
OutputIterator & | operator= (const OutputIterator &)=default
OutputIterator & | operator= (OutputIterator &&)=default
| ~OutputIterator ()=default
OSMIUM_DEPRECATED void | flush ()
OutputIterator & | operator= (const osmium::memory::Item &item)
OutputIterator & | operator= (const osmium::DiffObject &diff)
OutputIterator & | operator* ()
OutputIterator & | operator++ ()
OutputIterator & | operator++ (int)

## Private Attributes

TDest * | m_destination

## Constructor & Destructor Documentation

template<typename TDest >

osmium::io::OutputIterator< TDest >::OutputIterator | ( | TDest & | destination | ) |

inline explicit

template<typename TDest >

OSMIUM_DEPRECATED osmium::io::OutputIterator< TDest >::OutputIterator | ( | TDest & | destination,
|  | const size_t | buffer_size
| ) |  |

inline

Deprecated:
  Use of buffer size argument on OutputIterator constructor is deprecated. Call Writer::set_buffer_size() instead if you want to change the default.

template<typename TDest >

osmium::io::OutputIterator< TDest >::OutputIterator | ( | const OutputIterator< TDest > & |  | ) |

default

template<typename TDest >

osmium::io::OutputIterator< TDest >::OutputIterator | ( | OutputIterator< TDest > && |  | ) |

default

template<typename TDest >

osmium::io::OutputIterator< TDest >::~OutputIterator | ( |  | ) |

default

## Member Function Documentation

template<typename TDest >

OSMIUM_DEPRECATED void osmium::io::OutputIterator< TDest >::flush | ( |  | ) |

inline

Deprecated:
  Calling OutputIterator<Writer>::flush() is usually not needed any more. Call flush() on the Writer instead if needed.

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator* | ( |  | ) |

inline

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator++ | ( |  | ) |

inline

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator++ | ( | int |  | ) |

inline

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator= | ( | const OutputIterator< TDest > & |  | ) |

default

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator= | ( | OutputIterator< TDest > && |  | ) |

default

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator= | ( | const osmium::memory::Item & | item | ) |

inline

template<typename TDest >

OutputIterator& osmium::io::OutputIterator< TDest >::operator= | ( | const osmium::DiffObject & | diff | ) |

inline

## Member Data Documentation

template<typename TDest >

TDest* osmium::io::OutputIterator< TDest >::m_destination

private

The documentation for this class was generated from the following file:

- osmium/io/output_iterator.hpp